Proste metody, instrukcje krok po kroku, porady i filmy...

WordPress 5.0

Krzysztof Wojteczko
Krzysztof Wojteczko
Ostatnia aktualizacja: 19 grudnia 2018

WordPress 5.0: Już jest. Czy aktualizować?

WordPress 5.0 został opublikowany dziś. Prezent Mikołajkowy 🙂 To najnowsze wydanie zawiera istotną zmianę związaną z edytorem treści. Nowy edytor o nazwie Gutenberg, to znaczący krok naprzód w zakresie funkcjonalności tego systemu CMS. Umożliwia wygodną edycję zawartości strony i aranżację wyglądu np. wpisów na blogu metodą przeciągnij i upuść, czego od dawna bardzo brakowało.

Generalnie zmiana niesie dla użytkowników systemu wiele korzyści jednak w początkowym okresie może stanowić spore wyzwanie dla niektórych właścicieli witryn działających na bazie WordPress’a. W tym poście omówimy kilka punktów, które pomogą ci zdecydować, kiedy uaktualnić swojego WordPress’a do wersji 5.0.

Dlaczego WordPress zmienił edytor?

Główny zespół programistów WordPress’a od dawna mówił o Gutenbergu. Celem, według Matta Mullenwega, jest uproszczenie pracy użytkownika gdy pisze, edytuje, publikuje i projektuje strony internetowe. Zmiana edytora ma na celu zapewnić użytkownikom lepszą prezentację wizualną wpisu lub publikowanej strony. Ma być łatwiej i przyjemniej.

Ogólnie rzecz biorąc Gutenberg jest dużym krokiem naprzód jeśli chodzi o pracę z WordPressa’em. Ale, jak stwierdził Matt, celem jest ułatwienie pracy komuś kto dopiero zaczyna przygodę z WordPress’em. WordPress ma zrobić tzw. dobre pierwsze wrażenie. Dla reszty oznacza to okres dostosowania.

Potencjalne problemy ze starszymi wtyczkami i motywami

WordPress istnieje od ponad 15 lat. W tym czasie powstały miliony stron internetowych korzystających z tego systemu. Niestety często jest tak, że po utworzeniu witryny ich właściciele nigdy nie aktualizują głównego oprogramowania, wtyczek czy motywów. Warto dodać, że w repozytorium WordPress’a znaleźć można wiele porzuconych wtyczek, które nie są już rozwijane przez ich programistów. Nikt nie testuje tych wtyczek w tym także starszych motywów, aby sprawdzić, jak będą się zachowywać z nowym edytorem Gutenberg.

Co więcej wiele z tych “porzuconych” witryn jest hostowanych w firmach, które automatycznie dokonują aktualizacji głównego skryptu WordPress’a. Co może się stać w takiej sytuacji?

Niektórzy właściciele stron WordPress mogą nie być w stanie skutecznie edytować swoich stron. Niektórzy mogą nie mieć w ogóle dostępu do edycji. Dla niektórych użytkowników mogą pojawiać się błędy serwera 500 lub po prostu białe ekrany bez jakichkolwiek komunikatów. Może też wszystko przebiegać sprawnie, nawet ze starszymi wtyczkami i starszym motywem. Trochę jak loteria.

Repozytorium WordPress’a to około 50 000 unikalnych wtyczek. Nie jest więc możliwe przetestowanie ich wszystkich przy wykorzystaniu nowego edytora. Wtyczki, które są rozwijana są także w większości testowane przez autorów. Z kolei opuszczone wtyczki, których nikt nie testuje są skazane na Ciebie i Twoje testy. Czy będą poprawnie działać z nowym edytorem? Nie wiem. Musisz po prostu sprawdzić.

To samo dotyczy motywów. Wiele motywów jest rozwijanych i testowanych. W innych przypadkach motyw może mieć problem z nowym edytorem treści i wtedy będziesz musiał samodzielnie dostosować go do nowych warunków środowiska.

Jeśli spodziewasz się problemów ze zgodnością wtyczek lub motywu z WordPress 5.0, możesz zachować obecny edytor WordPress’a, instalując wtyczkę WordPress Classic Editor. Zalecam zrobienie tego przed wykonaniem aktualizacji aczkolwiek warto podkreślić, że Gutenberg i WordPress 5.0 stanowią znaczący krok w kierunku efektywniejszej edycji stron. Warto więc poświęcić czas na dostosowanie swojej witryny tak aby współpracowała poprawnie w nowym edytorem i wykorzystać jego potencjał.

Skąd mam wiedzieć, czy jestem gotowy?

Czy masz środowisko testowe dla swojej witryny? Czy próbowałeś nowego edytora Gutenberg? Czy używasz najnowszej wersji PHP? Świetnie, prawdopodobnie będziesz przygotowany na WordPress w wersji 5.0. Podobnie jak w przypadku wszystkich głównych wersji, zalecam zaktualizowanie środowiska testowego, aby w ten sposób wychwycić problemy.

Poszukaj anomalii we wszystkich układach stron. Warto również cofnąć się w czasie i przejrzeć starsze posty i strony, aby upewnić się, że są gotowe na przyjęcie nowego edytora.

Jak zawsze wykonaj kopię zapasową plików witryny i bazy danych przed każdą aktualizacją, szczególnie aktualizacją tego formatu o jakim mówimy.

Jeśli twój dostawca hostingu automatycznie aktualizuje oprogramowanie

Jeśli korzystasz z zarządzanego hostingu WordPress, twój dostawca automatycznie zaktualizuje WordPress’a. Powinieneś mieć jednak dostęp do kopii zapasowej. Skontaktuj się z dostawcą usług hostingowych, aby dowiedzieć się, jakie wsparcie zapewnią dla nowego edytora WordPress i kiedy będą aktualizować skrypt do wersji 5.0.

Jeśli korzystasz z programu do tworzenia stron lub motywu premium

Jeśli Twoja witryna korzysta z narzędzia do tworzenia stron, takiego jak Visual Composer, Divi, Beaver Builder, Elementor lub innego narzędzia, które wykorzystuje shortcody, sprawdź u dewelopera, czy narzędzie jest gotowe do pracy z nowym edytorem Gutenberg.

PODAJ DALEJ!

Share on facebook
Facebook
Share on twitter
Twitter
Share on linkedin
LinkedIn
Share on email
Email

Autor

Krzysztof Wojteczko

Krzysztof Wojteczko

Szkoleniowiec, miłośnik nowych technologii, WordPress'a i wszystkiego co ma związek z marketingiem internetowym. Swoją pierwszą stronę stworzył w 1996 roku, a od 2003 roku prowadzi agencje marketingowe i hostingowe.

Może Cię zainteresować także

1 komentarz na temat “WordPress 5.0”

Twój Komentarz

Twój adres email nie zostanie opublikowany. Pola, których wypełnienie jest wymagane, są oznaczone symbolem *

Przewiń do góry

Zaczekaj!

Planujesz uruchomienie strony, bloga, a może sklepu internetowego?

Jeśli tak, to nie możesz tego przegapić! Zapraszam Cię na bezpłatny Kurs WordPress z nagrodami, który pomoże Ci zrobić pierwszy, ważny krok na drodze do własnej strony internetowej.

Zapisując się akceptujesz naszą Politykę Prywatności

ODBIERZ prezent!

KURS wordpress!